From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/OpenNI/
Date: Sat, 01 Feb 2025 10:51:23 +0000 (UTC) [thread overview]
Message-ID: <1738407044.9f156f818dbe003dcd4989eb7f498895bf580ed1.flow@gentoo> (raw)
commit: 9f156f818dbe003dcd4989eb7f498895bf580ed1
Author: Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Mon Jan 20 11:44:53 2025 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sat Feb 1 10:50:44 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f156f81
dev-libs/OpenNI: introduce eapi9-pipestatus
Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/39848
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
dev-libs/OpenNI/OpenNI-1.5.7.10-r4.ebuild | 6 ++++--
dev-libs/OpenNI/OpenNI-9999.ebuild | 5 +++--
2 files changed, 7 insertions(+), 4 deletions(-)
diff --git a/dev-libs/OpenNI/OpenNI-1.5.7.10-r4.ebuild b/dev-libs/OpenNI/OpenNI-1.5.7.10-r4.ebuild
index ddb774905643..953a8814d8d8 100644
--- a/dev-libs/OpenNI/OpenNI-1.5.7.10-r4.ebuild
+++ b/dev-libs/OpenNI/OpenNI-1.5.7.10-r4.ebuild
@@ -9,7 +9,7 @@ if [ "${PV#9999}" != "${PV}" ] ; then
EGIT_REPO_URI="https://github.com/OpenNI/OpenNI"
fi
-inherit ${SCM} flag-o-matic toolchain-funcs java-pkg-opt-2
+inherit ${SCM} eapi9-pipestatus flag-o-matic java-pkg-opt-2 toolchain-funcs
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
@@ -61,8 +61,10 @@ src_prepare() {
echo "" > ${i}
done
+ local status
find . -type f -print0 |
- xargs -0 sed -i "s:\".*/SamplesConfig.xml:\"${EPREFIX}/usr/share/${PN}/SamplesConfig.xml:" || die
+ xargs -0 sed -i "s:\".*/SamplesConfig.xml:\"${EPREFIX}/usr/share/${PN}/SamplesConfig.xml:"
+ status=$(pipestatus -v) || die "fails to sed SamplesConfig, (PIPESTATUS: ${status})"
}
src_compile() {
diff --git a/dev-libs/OpenNI/OpenNI-9999.ebuild b/dev-libs/OpenNI/OpenNI-9999.ebuild
index be002df28a15..49cb5d355e76 100644
--- a/dev-libs/OpenNI/OpenNI-9999.ebuild
+++ b/dev-libs/OpenNI/OpenNI-9999.ebuild
@@ -9,7 +9,7 @@ if [ "${PV#9999}" != "${PV}" ] ; then
EGIT_REPO_URI="https://github.com/OpenNI/OpenNI"
fi
-inherit ${SCM} flag-o-matic toolchain-funcs java-pkg-opt-2
+inherit ${SCM} eapi9-pipestatus flag-o-matic java-pkg-opt-2 toolchain-funcs
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
@@ -61,7 +61,8 @@ src_prepare() {
done
find . -type f -print0 |
- xargs -0 sed -i "s:\".*/SamplesConfig.xml:\"${EPREFIX}/usr/share/${PN}/SamplesConfig.xml:" || die
+ xargs -0 sed -i "s:\".*/SamplesConfig.xml:\"${EPREFIX}/usr/share/${PN}/SamplesConfig.xml:"
+ status=$(pipestatus -v) || die "fails to sed SamplesConfig, (PIPESTATUS: ${status})"
}
src_compile() {
next reply other threads:[~2025-02-01 10:51 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-02-01 10:51 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-01 10:51 [gentoo-commits] repo/gentoo:master commit in: dev-libs/OpenNI/ Florian Schmaus
2025-02-01 10:51 Florian Schmaus
2022-07-17 15:39 Sam James
2022-05-19 12:12 Joonas Niilola
2021-07-08 10:42 Joonas Niilola
2021-07-08 10:42 Joonas Niilola
2019-09-25 17:31 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1738407044.9f156f818dbe003dcd4989eb7f498895bf580ed1.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox